aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiniz Bortolotto <diniz.bortolotto@gmail.com>2024-10-23 12:09:48 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-10-23 12:42:27 +0700
commitdbacb102ea8ebe86ae22f9d6de7ad22f757b5bf7 (patch)
treeb4d87ebb9f9ff93282d922e171dd2a7539e05f6b
parented349d8a3208d0f86ef3d706909fdae93abdbf24 (diff)
network/ferdium: Added (Fork of Franz).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/ferdium/README11
-rw-r--r--network/ferdium/doinst.sh9
-rw-r--r--network/ferdium/ferdium.SlackBuild88
-rw-r--r--network/ferdium/ferdium.info10
-rw-r--r--network/ferdium/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/network/ferdium/README b/network/ferdium/README
new file mode 100644
index 000000000000..3376f5d228b8
--- /dev/null
+++ b/network/ferdium/README
@@ -0,0 +1,11 @@
+Ferdium
+
+Ferdium is a desktop app that helps you organize how you use your
+favourite apps by combining them into one application.
+
+It is based on Franz - a software already used by thousands of
+people - with the difference that Ferdium gives you many additional
+features and doesn't restrict its usage!
+
+Furthermore, Ferdium is compatible with your existing Franz account,
+so you can continue right where you left off.
diff --git a/network/ferdium/doinst.sh b/network/ferdium/doinst.sh
new file mode 100644
index 000000000000..65c7e2eeb9aa
--- /dev/null
+++ b/network/ferdium/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/ferdium/ferdium.SlackBuild b/network/ferdium/ferdium.SlackBuild
new file mode 100644
index 000000000000..5deaa5279d50
--- /dev/null
+++ b/network/ferdium/ferdium.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+# Slackware build script for ferdium
+
+# Copyright 2024 Diniz Bortolotto <diniz.bortolotto@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ferdium
+DEBNAM=Ferdium-linux
+DEBARCH=amd64
+VERSION=${VERSION:-6.7.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586
+ echo "Unsupported architecture!!"
+ exit 1
+ ;;
+ arm*) ARCH=arm
+ DEBARCH=arm64
+ ;;
+ *) ARCH=$( uname -m )
+ DEBARCH=amd64
+ ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $PKG
+ar p $CWD/${DEBNAM}-${VERSION}-${DEBARCH}.deb data.tar.xz | tar xJv
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/doc $PKG/usr && mv $PKG/usr/doc/ferdium $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cp -a $PKG/opt/Ferdium/LICENSE.electron.txt $PKG/opt/Ferdium/LICENSES.chromium.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/ferdium/ferdium.info b/network/ferdium/ferdium.info
new file mode 100644
index 000000000000..adce1729d3fa
--- /dev/null
+++ b/network/ferdium/ferdium.info
@@ -0,0 +1,10 @@
+PRGNAM="ferdium"
+VERSION="6.7.7"
+HOMEPAGE="https://ferdium.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/ferdium/ferdium-app/releases/download/v6.7.7/Ferdium-linux-6.7.7-amd64.deb"
+MD5SUM_x86_64="453b8984c0e4f7f29c265f78502908ee"
+REQUIRES=""
+MAINTAINER="Diniz Bortolotto"
+EMAIL="diniz.bortolotto@gmail.com"
diff --git a/network/ferdium/slack-desc b/network/ferdium/slack-desc
new file mode 100644
index 000000000000..430db3b8c812
--- /dev/null
+++ b/network/ferdium/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ferdium: ferdium (All your services in one place)
+ferdium:
+ferdium: Ferdium is a desktop app that helps you organize how you use your
+ferdium: favourite apps by combining them into one application.
+ferdium:
+ferdium: It is based on Franz - a software already used by thousands of
+ferdium: people - with the difference that Ferdium gives you many additional
+ferdium: features and doesn't restrict its usage!
+ferdium:
+ferdium: Homepage: https://ferdium.org/
+ferdium: